如何替换 原生的旧安卓包?

之前有一个原生的 app ,现在又 通过 mui写了个新的 app 用的 是旧的原生的app的id 和证书

打包后安装,没法直接覆盖旧的,必须先删除旧的然后 在 安装新的,直接覆盖 会提示 该数据包似乎已损坏(但是安装的时候已经提示新的权限,说明在做覆盖操作,只是失败了)

有什么解决办法?



2017-12-27 17:11 添加评论 分享
已邀请:
0

五块钱的果汁 - 勤奋是一种被逼无奈 - 热爱是一种情不自禁~

赞同来自:

用adb安装 看下具体的错误信息
操作步骤:
打开 HBuilder安装目录进入 \HBuilder\tools\adbs 目录下
按住shift+鼠标右击 =》在此处打开命令窗口
确认手机连接到手机
adb deices
adb install <APKPATH>

此时会提示具体错误信息
根据错误信息在网上搜解决方法


0

keoy - 大家都是朋友

赞同来自:

再次遇到这个问题 有人怎么解决的吗


要回复问题请先登录注册